# AES.InvalidAESStreamException (SubServers.Client.Bukkit)

net.ME1312.SubServers.Client.Bukkit.Network

## Class AES.InvalidAESStreamException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - net.ME1312.SubServers.Client.Bukkit.Network.AES.InvalidAESStreamException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  AES

    public static class AES.InvalidAESStreamException
    extends java.lang.Exception

Thrown if an attempt is made to decrypt an invalid AES stream.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidAESStreamException()`
`InvalidAESStreamException(java.lang.Exception e)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidAESStreamException

    public InvalidAESStreamException()

#### InvalidAESStreamException

    public InvalidAESStreamException(java.lang.Exception e)